Package org.eclipse.m2m.atl.engine.vm

# Class ExecEnv

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ExecEnv

Direct Known Subclasses:
  `ASMExecEnv`

public class ExecEnv extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map`
`globalVariables`

## Constructor Summary

Constructors
Constructor
Description
`ExecEnv(Debugger debugger)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addModel(String name, ASMModel model)`
To add a model with a name different in this ASMExecEnv than it actually is.
`void`
`addModel(ASMModel model)`
`void`
`addPermission(String permission)`
`boolean`
`checkPermission(String permission)`
`boolean`
`empty()`
`Debugger`
`getDebugger()`
`ASMModel`
`getModel(String name)`
`Map`
`getModels()`
`Stack`
`getStack()`
`ASMOclAny`
`getVariable(String name)`
`StackFrame`
`peek()`
`StackFrame`
`pop()`
`void`
`printStackTrace()`
`void`
`push(StackFrame frame)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### globalVariables

protected Map globalVariables

## Constructor Details

### ExecEnv

public ExecEnv(Debugger debugger)

## Method Details

### empty

public boolean empty()

### push

public void push(StackFrame frame)

### peek

public StackFrame peek()

### pop

public StackFrame pop()

### addModel

public void addModel(ASMModel model)

### addModel

public void addModel(String name, ASMModel model)
To add a model with a name different in this ASMExecEnv than it actually is. This is necessary for composite transformations in which the in model of transformation may not bear the same name as the out model of the preceding transformation.

### getModel

public ASMModel getModel(String name)

### getModels

public Map getModels()

### printStackTrace

public void printStackTrace()

### getVariable

public ASMOclAny getVariable(String name)

### getDebugger

public Debugger getDebugger()

### getStack

public Stack getStack()

### checkPermission

public boolean checkPermission(String permission)

### addPermission

public void addPermission(String permission)